package com.qmth.boot.core.exception;

/**
 * 未授权的运行时异常，在API层会按401状态码处理
 */
public class UnauthorizedException extends RuntimeException {

    private static final long serialVersionUID = 1957446799072827901L;

    public UnauthorizedException(String message) {
        super(message);
    }

    public UnauthorizedException(String message, Throwable t) {
        super(message, t);
    }

}
