package com.qmth.boot.core.solar.api;

import com.qmth.boot.core.retrofit.annotatioin.RetrofitClient;
import com.qmth.boot.core.solar.config.SolarApiConfiguration;
import com.qmth.boot.core.solar.model.AppInfo;
import com.qmth.boot.core.solar.model.OrgInfo;
import retrofit2.http.POST;
import retrofit2.http.Query;

import java.util.List;

@RetrofitClient(configuration = SolarApiConfiguration.class)
public interface SolarApiClient {

    @POST("app/info")
    AppInfo getAppInfo();

    @POST("org/query")
    List<OrgInfo> listOrgInfo(@Query("pageNumber") int pageNumber, @Query("pageSize") int pageSize);
}
